function x = MSolveTridiagonal(A,b)

[N N] = size(A);

x = zeros(N,1);
c = zeros(N-1,1);
d = zeros(N,1);

c(1) = A(1,2)/A(1,1);
d(1) = b(1)/A(1,1);

for i=2:N-1
    c(i) = A(i,i+1) / (A(i,i) - c(i-1)*A(i,i-1));
end
for i=2:N
    d(i) = (b(i) - d(i-1)*A(i,i-1))/(A(i,i) - c(i-1)*A(i,i-1));
end
x(N) = d(N);
for i=N-1:-1:1
    x(i) = d(i) - c(i)*x(i+1);
end




